Draft FlipDimension/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
 
(9 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/cs|Name=Draft FlipDimension|Name/cs=Kreslení PřehoďKótu|Workbenches=[[Draft Module/cs|Kreslení]], [[Arch Module/cs|Architektura]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension/cs|Kóty]]}}


{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Draft FlipDimension|Name/cs=Kreslení PřehoďKótu|Workbenches=[[Draft_Workbench/cs|Kreslení]], [[Arch_Workbench/cs|Architektura]]|MenuLocation=Draft → Utilities → Flip Dimension|SeeAlso=[[Draft Dimension/cs|Kóty]]}}
</div>

==Description==

<div class="mw-translate-fuzzy">
==Popis==
==Popis==
Ve 2D módu je zobrazení textu [[Draft Dimension/cs|Kóty]] zarovnáno ke kótovací čáře. Nástroj Kóta se snaží vždy zobrazit text na správné straně kótovací čáry v závislosti ze které strany má být viděna. V některých případech však směr pohledu nemusí vyjadřovat smysl pohledu a pak se může hodit změna orientace textu kóty. Tento nástroj obrací orientaci vybraného objektu [[Draft Dimension/cs|kóty]].
Ve 2D módu je zobrazení textu [[Draft Dimension/cs|Kóty]] zarovnáno ke kótovací čáře. Nástroj Kóta se snaží vždy zobrazit text na správné straně kótovací čáry v závislosti ze které strany má být viděna. V některých případech však směr pohledu nemusí vyjadřovat smysl pohledu a pak se může hodit změna orientace textu kóty. Tento nástroj obrací orientaci vybraného objektu [[Draft Dimension/cs|kóty]].
</div>


==Usage==
What this tool does, internally, is to invert the '''Normal''' direction of the dimension, which is the direction used to draw the text with the correct orientation. Dimensions also have a '''Flip Text''' property, which rotates the text by 180 degrees around the normal direction. By combining these two features, normal direction and Flip Text, you are able to make the text appear correctly in all possible situations.


<div class="mw-translate-fuzzy">
==Použití==
==Použití==
# Vyberte jeden nebo více objektů [[Draft Dimension/cs|kóta]]
# Vyberte jeden nebo více objektů [[Draft Dimension/cs|kóta]]
# Stiskněte tlačítko {{KEY|[[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension/cs|PřehoďKótu]]}}
# Stiskněte tlačítko {{KEY|[[Image:Draft_FlipDimension.png|16px]] [[Draft FlipDimension/cs|PřehoďKótu]]}}
</div>

==Notes==

* [[Draft_Dimension|Draft Dimensions]] also have a {{PropertyData|Flip Text}} property. When set to {{TRUE}} the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

==Scripting==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

To flip a [[Draft_Dimension|Draft Dimension]] invert its {{incode|Normal}} property.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()
}}


{{Docnav
|[[Draft_Slope|Slope]]
|[[Draft_Shape2DView|Shape2DView]]
|[[Draft_Workbench|Draft]]
|IconL=Draft_Slope.svg
|IconR=Draft_Shape2DView.svg
|IconC=Workbench_Draft.svg
}}


{{Draft Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 21:00, 29 August 2021

Kreslení PřehoďKótu

Umístění Menu
Draft → Utilities → Flip Dimension
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Kóty

Description

Popis

Ve 2D módu je zobrazení textu Kóty zarovnáno ke kótovací čáře. Nástroj Kóta se snaží vždy zobrazit text na správné straně kótovací čáry v závislosti ze které strany má být viděna. V některých případech však směr pohledu nemusí vyjadřovat smysl pohledu a pak se může hodit změna orientace textu kóty. Tento nástroj obrací orientaci vybraného objektu kóty.

Usage

Použití

  1. Vyberte jeden nebo více objektů kóta
  2. Stiskněte tlačítko PřehoďKótu

Notes

  • Draft Dimensions also have a ÚdajeFlip Text property. When set to true the text is rotated 180° around the normal direction. This can be combined with the effect of this command.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To flip a Draft Dimension invert its Normal property.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 0, 0)
p3 = App.Vector(500, 300, 0)
dimension = Draft.make_dimension(p1, p2, p3)
dimension.ViewObject.FontSize = 200

dimension.Normal = dimension.Normal.negative()
doc.recompute()